curl --request POST \
--url 'https://api.stateset.com/api/v1/vendor-credits/{id}/apply' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"amount": "49.00",
"target_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"target_type": "string"
}'
{
"amount": "49.00",
"currency": "USD",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"number": "ORD-10042",
"remaining": "string",
"status": "pending",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Apply a vendor credit
Apply a vendor credit
POST
/
api
/
v1
/
vendor-credits
/
{id}
/
apply
curl --request POST \
--url 'https://api.stateset.com/api/v1/vendor-credits/{id}/apply' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"amount": "49.00",
"target_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"target_type": "string"
}'
{
"amount": "49.00",
"currency": "USD",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"number": "ORD-10042",
"remaining": "string",
"status": "pending",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Path parameters
string
required
Vendor credit ID
Request body
ApplyVendorCreditRequest
string
required
Amount to apply as a string.
string
required
string
required
bill or payment_obligation.Response
VendorCreditResponse
string
required
string
required
string
required
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/vendor-credits/{id}/apply' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"amount": "49.00",
"target_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"target_type": "string"
}'
{
"amount": "49.00",
"currency": "USD",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"number": "ORD-10042",
"remaining": "string",
"status": "pending",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026